package com.bjtdba.entity.thirdPartyWares;

public class ThirdPartyWares {

    private Number type;

    private String id;

    private String thumb;//商品主图链接

    private String name;//名称

    private String commission;//佣金

    private Number commission_rate;//佣金比例

    private Integer commission_type;//佣金类型，0-通用，1-定向，2-高佣，3-营销计划

    private Number sales;//当天销量

    private Number coupon_money;//优惠卷金额

    private Number market_price;//原价

    private Number price;//卷后价格

    private String coupon_share_url;

    private Number shopType;//店铺类型，1-天猫，0-淘宝
    private String shopName;//店铺名称
    private Number monthSales;//销售量 月销售
    private Number cid;//一级分类

    public Number getShopType() {
        return shopType;
    }

    public void setShopType(Number shopType) {
        this.shopType = shopType;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Number getMonthSales() {
        return monthSales;
    }

    public void setMonthSales(Number monthSales) {
        this.monthSales = monthSales;
    }

    public Number getCid() {
        return cid;
    }

    public void setCid(Number cid) {
        this.cid = cid;
    }



    public Number getType() {
        return type;
    }

    public void setType(Number type) {
        this.type = type;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getThumb() {
        return thumb;
    }

    public void setThumb(String thumb) {
        this.thumb = thumb;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCommission() {
        return commission;
    }

    public void setCommission(String commission) {
        this.commission = commission;
    }

    public Number getCommission_rate() {
        return commission_rate;
    }

    public void setCommission_rate(Number commission_rate) {
        this.commission_rate = commission_rate;
    }

    public Integer getCommission_type() {
        return commission_type;
    }

    public void setCommission_type(Integer commission_type) {
        this.commission_type = commission_type;
    }

    public Number getSales() {
        return sales;
    }

    public void setSales(Number sales) {
        this.sales = sales;
    }

    public Number getCoupon_money() {
        return coupon_money;
    }

    public void setCoupon_money(Number coupon_money) {
        this.coupon_money = coupon_money;
    }

    public Number getMarket_price() {
        return market_price;
    }

    public void setMarket_price(Number market_price) {
        this.market_price = market_price;
    }

    public Number getPrice() {
        return price;
    }

    public void setPrice(Number price) {
        this.price = price;
    }

    public String getCoupon_share_url() {
        return coupon_share_url;
    }

    public void setCoupon_share_url(String coupon_share_url) {
        this.coupon_share_url = coupon_share_url;
    }
}
